Yanick Champoux > Dancer > Dancer::Deprecation

Download:
Dancer-1.3132.tar.gz

Dependencies

Annotate this POD

Website

View/Report Bugs
Module Version: 1.3132   Source   Latest Release: Dancer-1.3133-TRIAL

NAME ^

Dancer::Deprecation - handle deprecation messages

VERSION ^

version 1.3132

SYNOPSIS ^

  Dancer::Deprecation->deprecated(
    feature => 'sub_name',
    version => '1.3000',
    reason  => '...',
  );

DESCRIPTION ^

METHODS

deprecated

List of possible parameters:

feature name of the feature to deprecate
version from which version the feature is deprecated
message message to display
fatal if set to true, raises a Dancer::Exception (Core::Deprecation) instead of carp
reason why is the feature deprecated

You can call the method with no arguments, and a default message using information from caller will be built for you.

LICENSE ^

This module is free software and is distributed under the same terms as Perl itself.

AUTHOR ^

This module has been written by Alexis Sukrieh <sukria@sukria.net>

SEE ALSO ^

Package::DeprecationManager

AUTHOR ^

Dancer Core Developers

COPYRIGHT AND LICENSE ^

This software is copyright (c) 2010 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

syntax highlighting: